/// <reference types="node" />
import * as filesystem from 'fs';
export declare class StaticFilesystem {
    private fileSystems;
    private NewError(code, method, filepath);
    shutdown(): void;
    readonly hashes: Array<string>;
    constructor();
    load(sourcePath: string): StaticFilesystem;
    readonly loadedFileSystems: Array<string>;
    unload(sourcePath: string): StaticFilesystem;
    readonly entries: Array<string>;
    readFileSync(filepath: string, options?: {
        encoding?: string | null;
        flag?: string;
    } | string | null): string | Buffer;
    realpathSync(filepath: string): string;
    statSync(filepath: string): filesystem.Stats;
}
